package com.upyuns.platform.rs.website.entity;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 成果数据
 * 
 * @author zjw
 * @email jiaoruizhen@126.com
 * @date 2024-05-15 18:31:38
 */
@Data
@Table(name = "gain_data")
public class GainData implements Serializable {
	private static final long serialVersionUID = 1L;
	
	    /**
    *  id
   */
    @Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@ApiModelProperty("id")
    private Integer id;
	
	    /**
     *  名称
     */
    @Column(name = "name")
	@ApiModelProperty(value = "名称")
    private String name;
	
	    /**
     *  时间
     */
    @Column(name = "time")
	@ApiModelProperty(value = "时间")
    private String time;
	
	    /**
     *  排序
     */
    @Column(name = "rank")
	@ApiModelProperty(value = "排序")
    private Integer rank;
	
	    /**
     *  创建时间
     */
    @Column(name = "crt_time")
	@ApiModelProperty(value = "创建时间", hidden = true )
    private Date crtTime;
	
	    /**
     *  修改时间
     */
    @Column(name = "upd_time")
	@ApiModelProperty(value = "修改时间", hidden = true )
    private Date updTime;
	
	    /**
     *  图片地址
     */
    @Column(name = "picture_url")
	@ApiModelProperty(value = "图片地址")
    private String pictureUrl;
	
	    /**
     *  是否删除，0否，1是
     */
    @Column(name = "is_del")
	@ApiModelProperty(value = "是否删除，0否，1是")
    private Integer isDel;
	
	    /**
     *  状态1--上架；2--下架
     */
    @Column(name = "status")
	@ApiModelProperty(value = "状态1--上架；2--下架")
    private Integer status;
	
	    /**
     *  菜单id
     */
    @Column(name = "menu_id")
	@ApiModelProperty(value = "菜单id")
    private Integer menuId;
	

}
