package com.upyuns.platform.rs.website.biz;

import com.github.wxiaoqi.security.common.util.TreeUtil;
import com.upyuns.platform.rs.website.entity.GainData;
import com.upyuns.platform.rs.website.vo.DataMenuTree;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.upyuns.platform.rs.website.entity.DataMenu;
import com.upyuns.platform.rs.website.mapper.DataMenuMapper;
import com.github.wxiaoqi.security.common.biz.BaseBiz;

import java.util.ArrayList;
import java.util.List;

/**
 * 菜单
 *
 * @author zjw
 * @email jiaoruizhen@126.com
 * @date 2024-05-15 18:31:37
 */
@Service
public class DataMenuBiz extends BaseBiz<DataMenuMapper,DataMenu> {

    @Autowired
    GainDataBiz gainDataBiz;


    public List<DataMenuTree> getImageMenuTree(List<DataMenu> menus, int root) {
        List<DataMenuTree> trees = new ArrayList<DataMenuTree>();
        DataMenuTree node = null;
        for (DataMenu imageMenu : menus) {
            node = new DataMenuTree();
            BeanUtils.copyProperties(imageMenu, node);
            node.setLabel(imageMenu.getTitle());
            node.setElements(gainDataBiz.selectAll(new GainData(){{
                setMenuId(imageMenu.getId());
            }}));
            if (node.getChildren() == null) {
                node.setChildren(new ArrayList<>());
            }
            trees.add(node);
        }
        return TreeUtil.bulid(trees,root);
    }

}
